Debian Bug report logs - #679154
New dual-lived package libsocket-perl

version graph

Package: src:perl; Maintainer for src:perl is Niko Tyni <ntyni@debian.org>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Tue, 26 Jun 2012 18:54:02 UTC

Severity: minor

Found in version perl/5.14.2-12

Fixed in versions perl/5.16.1-1, perl/5.14.2-13

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#679154; Package src:perl. (Tue, 26 Jun 2012 18:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Niko Tyni <ntyni@debian.org>. (Tue, 26 Jun 2012 18:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: New dual-lived package libsocket-perl
Date: Tue, 26 Jun 2012 19:51:37 +0100
Source: perl
Version: 5.14.2-12
Severity: minor

This is currently in NEW; once accepted, we'll need the usual
Breaks/Provides/Replaces.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added blocking bug(s) of 679154: 678856 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Tue, 26 Jun 2012 18:57:05 GMT) Full text and rfc822 format available.

Marked as fixed in versions perl/5.16.1-1. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 01 Sep 2012 13:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#679154; Package src:perl. (Sat, 01 Sep 2012 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Sat, 01 Sep 2012 13:33:03 GMT) Full text and rfc822 format available.

Message #14 received at 679154@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 679154@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#683894: perl-base: IPC::Open3 fails when '-' is given as the command. Fix available upstream.
Date: Sat, 1 Sep 2012 14:31:53 +0100
On Fri, Aug 31, 2012 at 11:19:15PM +0100, Adam D. Barratt wrote:
> On Fri, 2012-08-31 at 22:55 +0100, Dominic Hargreaves wrote:
> > On Fri, Aug 31, 2012 at 10:33:42PM +0100, Adam D. Barratt wrote:
> > > On Fri, 2012-08-31 at 22:11 +0100, Dominic Hargreaves wrote:
> > > > On Thu, Aug 23, 2012 at 08:32:37AM +0300, Niko Tyni wrote:
> > > > > On Wed, Aug 22, 2012 at 07:21:33PM +0100, Dominic Hargreaves wrote:
> > > > > 
> > > > > > https://rt.perl.org/rt3//Public/Bug/Display.html?id=114454
> [...]
> > > Has there been any comment from upstream yet?  (I can see there isn't
> > > any in the RT ticket.)
> > 
> > No, there hasn't been any comment on that patch other than from me and
> > Niko. That's not entirely unexpected given the relatively low amount
> > of activity related to perl 5.14 upstream. A nearly identical patch is
> > in 5.16, FWIW:
> > 
> > http://perl5.git.perl.org/perl.git/commitdiff/f8b0429f0b
> 
> Okay, thanks; please go ahead.

Thanks. I've also committed a trivial Breaks/Provides/Replaces for a new
dual-lived package that entered wheezy just before the freeze:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679154

This is needed to keep our maintain tests passing.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)



Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 01 Sep 2012 13:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#679154; Package src:perl. (Sat, 01 Sep 2012 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Sat, 01 Sep 2012 16:45:03 GMT) Full text and rfc822 format available.

Message #21 received at 679154@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Dominic Hargreaves <dom@earth.li>
Cc: 679154@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#683894: perl-base: IPC::Open3 fails when '-' is given as the command. Fix available upstream.
Date: Sat, 01 Sep 2012 17:41:28 +0100
On Sat, 2012-09-01 at 14:31 +0100, Dominic Hargreaves wrote:
> On Fri, Aug 31, 2012 at 11:19:15PM +0100, Adam D. Barratt wrote:
> > On Fri, 2012-08-31 at 22:55 +0100, Dominic Hargreaves wrote:
[...]
> > > No, there hasn't been any comment on that patch other than from me and
> > > Niko. That's not entirely unexpected given the relatively low amount
> > > of activity related to perl 5.14 upstream. A nearly identical patch is
> > > in 5.16, FWIW:
> > > 
> > > http://perl5.git.perl.org/perl.git/commitdiff/f8b0429f0b
> > 
> > Okay, thanks; please go ahead.
> 
> Thanks. I've also committed a trivial Breaks/Provides/Replaces for a new
> dual-lived package that entered wheezy just before the freeze:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679154

Okay.

Regards,

Adam




Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Fri, 07 Sep 2012 00:21:05 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Fri, 07 Sep 2012 00:21:05 GMT) Full text and rfc822 format available.

Message #26 received at 679154-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 679154-close@bugs.debian.org
Subject: Bug#679154: fixed in perl 5.14.2-13
Date: Fri, 07 Sep 2012 00:17:56 +0000
Source: perl
Source-Version: 5.14.2-13

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679154@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 06 Sep 2012 23:24:28 +0100
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug libperl5.14 libperl-dev perl
Architecture: source all i386
Version: 5.14.2-13
Distribution: unstable
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.14 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 679154 683894
Changes: 
 perl (5.14.2-13) unstable; urgency=low
 .
   * Apply patch fixing IPC::Open3 when command is '-' (Closes: #683894)
   * Add Breaks/Replaces/Provides for new dual-lived libsocket-perl
     (Closes: #679154)
Checksums-Sha1: 
 371ad726ac8e5afee463da472a6ead652e17a971 1721 perl_5.14.2-13.dsc
 488b79e95b476931ccfc5ab19c2954031d9fdd17 137920 perl_5.14.2-13.debian.tar.gz
 9ce53a2ff452f0fd5aea133751b69103df604301 74220 libcgi-fast-perl_5.14.2-13_all.deb
 de91438643713d257d033dc90aa6d96801a5d99c 8167328 perl-doc_5.14.2-13_all.deb
 5b69646960cb3c471f6b829c6f2107b93077cf87 3438324 perl-modules_5.14.2-13_all.deb
 2745f6bc9172b7c59bfaec6b08d69ca11d406c0d 1492704 perl-base_5.14.2-13_i386.deb
 b1fb2eb9602b1c9bc8c852df4c8f6a05797f2144 9223436 perl-debug_5.14.2-13_i386.deb
 bebfa5dadf096108d629e0f20f35a40a6f2605e0 730836 libperl5.14_5.14.2-13_i386.deb
 a2209ef1111f02518dc2a3f76d20ad5ae82e9af3 3052420 libperl-dev_5.14.2-13_i386.deb
 aa8d62ee6c0dc0b8ecbe8ee0ab7d98dde29c6e23 3700264 perl_5.14.2-13_i386.deb
Checksums-Sha256: 
 451f01719434abdbf13686354a4ae9c6b564d2d5f41dca608d85db0856cbdf86 1721 perl_5.14.2-13.dsc
 66197e3e97357ef57edc8d7f0884733565d5cd6446a4b160cc0eebee44e5aeff 137920 perl_5.14.2-13.debian.tar.gz
 df7a582b095d8037e3c553bf7635b086a79a23b7084b18bb5108e5e30e33483c 74220 libcgi-fast-perl_5.14.2-13_all.deb
 4c1d377a988453143549d55994720b055aecefe24d2a7a2ed13136cd9abd396f 8167328 perl-doc_5.14.2-13_all.deb
 a2d25ac8b3cdc36bbb7413d7f9eb0d6a757878107a28d4a5a7cc1ad5568aed2a 3438324 perl-modules_5.14.2-13_all.deb
 ea1833a23173a9a6f672528ca9a12d32e855820929b463664fa7945edeb40e48 1492704 perl-base_5.14.2-13_i386.deb
 546b16d8726b0fe2712d3d2e12e6eddd33107b58fdd638cdef856bcfa0a547dd 9223436 perl-debug_5.14.2-13_i386.deb
 9fb9bf94e843c688bdada5b1ff55dd9d1748ae72cbbeb1f6bbac500e35964670 730836 libperl5.14_5.14.2-13_i386.deb
 d331c39bf52561774b5c3caf7d96aabf516a0e31205d74e0e04e669848f5e7bc 3052420 libperl-dev_5.14.2-13_i386.deb
 9dd174921e14bd87b294f70ded34efd74a71dd1541aa7951f94bf051d1c04b35 3700264 perl_5.14.2-13_i386.deb
Files: 
 206cfe553a3a9170828e8dbf2e36efa0 1721 perl standard perl_5.14.2-13.dsc
 1ae326f8dbbf3272132b545e9e1e4e32 137920 perl standard perl_5.14.2-13.debian.tar.gz
 cc3dfbe2cee236355b5b987390956d9c 74220 perl optional libcgi-fast-perl_5.14.2-13_all.deb
 173d45251b883c343461a3b0ce2bd160 8167328 doc optional perl-doc_5.14.2-13_all.deb
 2dca605f02cae7420aff83173762187b 3438324 perl standard perl-modules_5.14.2-13_all.deb
 25d431097a8ad24be1683c4686947b72 1492704 perl required perl-base_5.14.2-13_i386.deb
 6afad7eff7bdc15f3d8589acce69250a 9223436 debug extra perl-debug_5.14.2-13_i386.deb
 85b32fd1d33c2bab70c88b02dc1126a9 730836 libs optional libperl5.14_5.14.2-13_i386.deb
 d583edb514bdcf414f767886241eed28 3052420 libdevel optional libperl-dev_5.14.2-13_i386.deb
 044d54c8e74a3a808fcb314649301999 3700264 perl standard perl_5.14.2-13_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFQSTptYzuFKFF44qURAottAJ4zRpJzmgQ5Vy/mSnyXZwiI9Tc52wCgyTq2
FRlWAq7HrKor9o1nQCnDT+0=
=BIbS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Nov 2012 07:26:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:06:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.